"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const React = require("react");
const Frame_css = require("./Frame.css.cjs");
const cn = require("classnames");
const fixedForwardRef = React.forwardRef;
const FrameComponent = (props, ref) => {
  const { as, children, ...rest } = props;
  const Component = as || "div";
  const { className, style, otherProps } = Frame_css.sprinkles(rest);
  return /* @__PURE__ */ React.createElement(
    Component,
    {
      ...otherProps,
      style: { ...style, ...otherProps.style },
      className: cn(className, otherProps.className),
      ref
    },
    children
  );
};
const Frame = fixedForwardRef(FrameComponent);
exports.Frame = Frame;
exports.fixedForwardRef = fixedForwardRef;
