import React, { forwardRef } from "react";
import { avatar, imgStyle } from "./Avatar.css.mjs";
import { Frame } from "../Frame/Frame.mjs";
import cn from "classnames";
const Avatar = forwardRef(
  ({
    src,
    srcSet,
    alt,
    circle,
    children,
    size = "48px",
    className,
    ...otherProps
  }, ref) => /* @__PURE__ */ React.createElement(
    Frame,
    {
      ...otherProps,
      ref,
      size,
      className: cn(avatar({ circle }), className)
    },
    src || srcSet ? /* @__PURE__ */ React.createElement("img", { className: imgStyle, src, srcSet, alt }) : children
  )
);
export {
  Avatar
};
