import React, { forwardRef } from "react";
import { field, legend } from "./Fieldset.css.mjs";
import { Frame } from "../Frame/Frame.mjs";
import cn from "classnames";
const Fieldset = forwardRef(
  ({ legend: legend$1, children, className, ...rest }, ref) => /* @__PURE__ */ React.createElement(
    Frame,
    {
      ...rest,
      as: "fieldset",
      ref,
      className: cn(field, className)
    },
    legend$1 && /* @__PURE__ */ React.createElement("legend", { className: legend }, legend$1),
    children
  )
);
export {
  Fieldset
};
