import React, { forwardRef } from "react";
import cn from "classnames";
import { Frame } from "../Frame/Frame.mjs";
import { wrapper, whiteBar, container, progress } from "./ProgressBar.css.mjs";
const ProgressBar = forwardRef(
  ({ width = "150px", percent = 0, ...rest }, ref) => /* @__PURE__ */ React.createElement(
    Frame,
    {
      ...rest,
      width,
      className: cn(wrapper, rest.className),
      ref
    },
    /* @__PURE__ */ React.createElement(Frame, { className: whiteBar, width }, `${percent}%`),
    /* @__PURE__ */ React.createElement(Frame, { className: container, width: `${percent}%` }, /* @__PURE__ */ React.createElement(Frame, { className: progress, width }, `${percent}%`))
  )
);
export {
  ProgressBar
};
