import type { ElementType, ReactElement, ElementRef, ForwardedRef, ImgHTMLAttributes } from 'react';
import { FrameProps } from '../Frame/Frame';
export type AvatarProps<TAs extends ElementType> = Omit<ImgHTMLAttributes<HTMLDivElement>, 'width' | 'color' | 'height'> & FrameProps<TAs> & {
    circle?: boolean;
};
export declare const Avatar: <TAs extends ElementType = "div">(props: AvatarProps<TAs> & {
    ref?: ForwardedRef<ElementRef<TAs>>;
}) => ReactElement;
