import React from 'react';
import type { ComponentPropsWithRef, ElementType, Ref, ReactNode, RefAttributes } from 'react';
import { Sprinkles } from './Frame.css';
type FixedForwardRef = <T, P = object>(render: (props: P, ref: Ref<T>) => ReactNode) => (props: P & RefAttributes<T>) => ReactNode;
export declare const fixedForwardRef: FixedForwardRef;
type DistributiveOmit<T, TOmitted extends PropertyKey> = T extends any ? Omit<T, TOmitted> : never;
export type FrameProps<TAs extends ElementType> = {
    as?: TAs;
} & DistributiveOmit<ComponentPropsWithRef<ElementType extends TAs ? 'div' : TAs>, 'as'> & Sprinkles;
export declare const Frame: <TAs extends ElementType = "div">(props: {
    as?: TAs | undefined;
} & DistributiveOmit<React.ComponentPropsWithRef<React.ElementType extends TAs ? "div" : TAs>, "as"> & import("rainbow-sprinkles/dist/declarations/src/types").ChildSprinkles<{
    readonly backgroundColor: {
        dynamic: {
            default: string;
        };
        dynamicScale: {
            anchor: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            anchorVisited: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            borderDark: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            borderDarkest: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            borderLight: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            borderLighter: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            borderLightest: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            canvas: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            canvasText: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            headerBackground: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            headerNotActiveBackground: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            headerNotActiveText: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            headerText: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            material: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            materialText: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            materialTextDisabled: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            materialTextDisabledShadow: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            materialTextInvert: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            progress: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            inputBackground: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            inputBackgroundDisabled: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
        };
        name: "backgroundColor";
        vars: {
            default: string;
        };
    };
    readonly color: {
        dynamic: {
            default: string;
        };
        dynamicScale: {
            anchor: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            anchorVisited: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            borderDark: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            borderDarkest: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            borderLight: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            borderLighter: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            borderLightest: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            canvas: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            canvasText: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            headerBackground: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            headerNotActiveBackground: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            headerNotActiveText: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            headerText: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            material: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            materialText: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            materialTextDisabled: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            materialTextDisabledShadow: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            materialTextInvert: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            progress: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            inputBackground: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            inputBackgroundDisabled: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
        };
        name: "color";
        vars: {
            default: string;
        };
    };
} & {
    bgColor: {
        mappings: "backgroundColor"[];
    };
}> & import("rainbow-sprinkles/dist/declarations/src/types").ChildSprinkles<{
    readonly boxShadow: {
        dynamic: {
            default: string;
        };
        dynamicScale: {
            out: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            in: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            input: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
        };
        name: "boxShadow";
        vars: {
            default: string;
        };
    };
}> & import("rainbow-sprinkles/dist/declarations/src/types").ChildSprinkles<{
    readonly zIndex: {
        dynamic: {
            default: string;
        };
        dynamicScale: {
            modal: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            tooltip: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            taskbar: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
        };
        name: "zIndex";
        vars: {
            default: string;
        };
    };
}> & import("rainbow-sprinkles/dist/declarations/src/types").ChildSprinkles<{
    readonly display: {
        dynamic: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
        dynamicScale: true;
        name: "display";
        vars: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
    };
    readonly overflow: {
        dynamic: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
        dynamicScale: true;
        name: "overflow";
        vars: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
    };
    readonly boxSizing: {
        dynamic: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
        dynamicScale: true;
        name: "boxSizing";
        vars: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
    };
    readonly grid: {
        dynamic: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
        dynamicScale: true;
        name: "grid";
        vars: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
    };
    readonly gridArea: {
        dynamic: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
        dynamicScale: true;
        name: "gridArea";
        vars: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
    };
    readonly gridAutoColumns: {
        dynamic: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
        dynamicScale: true;
        name: "gridAutoColumns";
        vars: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
    };
    readonly gridAutoFlow: {
        dynamic: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
        dynamicScale: true;
        name: "gridAutoFlow";
        vars: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
    };
    readonly gridAutoRows: {
        dynamic: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
        dynamicScale: true;
        name: "gridAutoRows";
        vars: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
    };
    readonly gridColumn: {
        dynamic: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
        dynamicScale: true;
        name: "gridColumn";
        vars: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
    };
    readonly gridColumnEnd: {
        dynamic: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
        dynamicScale: true;
        name: "gridColumnEnd";
        vars: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
    };
    readonly gridColumnStart: {
        dynamic: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
        dynamicScale: true;
        name: "gridColumnStart";
        vars: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
    };
    readonly gridRow: {
        dynamic: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
        dynamicScale: true;
        name: "gridRow";
        vars: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
    };
    readonly gridRowEnd: {
        dynamic: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
        dynamicScale: true;
        name: "gridRowEnd";
        vars: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
    };
    readonly gridRowStart: {
        dynamic: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
        dynamicScale: true;
        name: "gridRowStart";
        vars: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
    };
    readonly gridTemplate: {
        dynamic: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
        dynamicScale: true;
        name: "gridTemplate";
        vars: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
    };
    readonly gridTemplateAreas: {
        dynamic: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
        dynamicScale: true;
        name: "gridTemplateAreas";
        vars: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
    };
    readonly gridTemplateColumns: {
        dynamic: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
        dynamicScale: true;
        name: "gridTemplateColumns";
        vars: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
    };
    readonly gridTemplateRows: {
        dynamic: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
        dynamicScale: true;
        name: "gridTemplateRows";
        vars: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
    };
    readonly flex: {
        dynamic: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
        dynamicScale: true;
        name: "flex";
        vars: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
    };
    readonly flexBasis: {
        dynamic: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
        dynamicScale: true;
        name: "flexBasis";
        vars: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
    };
    readonly flexDirection: {
        dynamic: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
        dynamicScale: true;
        name: "flexDirection";
        vars: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
    };
    readonly flexFlow: {
        dynamic: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
        dynamicScale: true;
        name: "flexFlow";
        vars: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
    };
    readonly flexGrow: {
        dynamic: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
        dynamicScale: true;
        name: "flexGrow";
        vars: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
    };
    readonly flexShrink: {
        dynamic: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
        dynamicScale: true;
        name: "flexShrink";
        vars: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
    };
    readonly flexWrap: {
        dynamic: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
        dynamicScale: true;
        name: "flexWrap";
        vars: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
    };
    readonly justifyContent: {
        dynamic: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
        dynamicScale: true;
        name: "justifyContent";
        vars: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
    };
    readonly justifyItems: {
        dynamic: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
        dynamicScale: true;
        name: "justifyItems";
        vars: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
    };
    readonly justifySelf: {
        dynamic: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
        dynamicScale: true;
        name: "justifySelf";
        vars: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
    };
    readonly alignContent: {
        dynamic: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
        dynamicScale: true;
        name: "alignContent";
        vars: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
    };
    readonly alignItems: {
        dynamic: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
        dynamicScale: true;
        name: "alignItems";
        vars: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
    };
    readonly alignSelf: {
        dynamic: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
        dynamicScale: true;
        name: "alignSelf";
        vars: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
    };
    readonly gap: {
        dynamic: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
        dynamicScale: {
            '0': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '1': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '2': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '3': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '4': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '5': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '6': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '7': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '8': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '9': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '10': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '11': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '12': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '13': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '14': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '15': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '16': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '17': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '18': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '19': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '20': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
        };
        name: "gap";
        vars: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
    };
    readonly width: {
        dynamic: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
        dynamicScale: {
            '0': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '1': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '2': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '3': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '4': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '5': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '6': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '7': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '8': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '9': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '10': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '11': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '12': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '13': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '14': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '15': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '16': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '17': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '18': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '19': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '20': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
        };
        name: "width";
        vars: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
    };
    readonly maxWidth: {
        dynamic: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
        dynamicScale: {
            '0': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '1': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '2': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '3': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '4': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '5': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '6': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '7': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '8': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '9': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '10': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '11': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '12': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '13': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '14': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '15': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '16': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '17': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '18': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '19': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '20': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
        };
        name: "maxWidth";
        vars: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
    };
    readonly minWidth: {
        dynamic: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
        dynamicScale: {
            '0': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '1': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '2': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '3': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '4': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '5': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '6': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '7': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '8': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '9': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '10': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '11': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '12': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '13': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '14': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '15': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '16': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '17': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '18': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '19': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '20': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
        };
        name: "minWidth";
        vars: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
    };
    readonly height: {
        dynamic: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
        dynamicScale: {
            '0': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '1': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '2': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '3': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '4': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '5': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '6': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '7': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '8': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '9': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '10': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '11': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '12': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '13': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '14': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '15': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '16': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '17': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '18': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '19': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '20': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
        };
        name: "height";
        vars: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
    };
    readonly maxHeight: {
        dynamic: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
        dynamicScale: {
            '0': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '1': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '2': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '3': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '4': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '5': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '6': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '7': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '8': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '9': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '10': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '11': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '12': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '13': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '14': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '15': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '16': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '17': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '18': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '19': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '20': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
        };
        name: "maxHeight";
        vars: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
    };
    readonly minHeight: {
        dynamic: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
        dynamicScale: {
            '0': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '1': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '2': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '3': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '4': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '5': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '6': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '7': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '8': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '9': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '10': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '11': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '12': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '13': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '14': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '15': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '16': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '17': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '18': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '19': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '20': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
        };
        name: "minHeight";
        vars: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
    };
    readonly margin: {
        dynamic: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
        dynamicScale: {
            '0': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '1': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '2': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '3': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '4': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '5': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '6': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '7': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '8': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '9': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '10': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '11': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '12': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '13': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '14': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '15': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '16': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '17': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '18': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '19': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '20': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
        };
        name: "margin";
        vars: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
    };
    readonly marginBlock: {
        dynamic: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
        dynamicScale: {
            '0': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '1': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '2': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '3': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '4': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '5': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '6': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '7': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '8': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '9': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '10': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '11': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '12': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '13': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '14': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '15': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '16': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '17': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '18': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '19': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '20': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
        };
        name: "marginBlock";
        vars: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
    };
    readonly marginBlockEnd: {
        dynamic: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
        dynamicScale: {
            '0': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '1': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '2': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '3': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '4': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '5': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '6': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '7': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '8': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '9': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '10': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '11': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '12': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '13': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '14': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '15': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '16': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '17': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '18': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '19': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '20': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
        };
        name: "marginBlockEnd";
        vars: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
    };
    readonly marginBlockStart: {
        dynamic: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
        dynamicScale: {
            '0': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '1': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '2': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '3': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '4': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '5': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '6': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '7': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '8': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '9': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '10': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '11': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '12': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '13': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '14': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '15': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '16': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '17': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '18': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '19': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '20': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
        };
        name: "marginBlockStart";
        vars: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
    };
    readonly marginBottom: {
        dynamic: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
        dynamicScale: {
            '0': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '1': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '2': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '3': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '4': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '5': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '6': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '7': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '8': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '9': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '10': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '11': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '12': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '13': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '14': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '15': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '16': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '17': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '18': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '19': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '20': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
        };
        name: "marginBottom";
        vars: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
    };
    readonly marginInline: {
        dynamic: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
        dynamicScale: {
            '0': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '1': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '2': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '3': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '4': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '5': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '6': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '7': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '8': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '9': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '10': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '11': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '12': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '13': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '14': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '15': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '16': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '17': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '18': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '19': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '20': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
        };
        name: "marginInline";
        vars: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
    };
    readonly marginInlineEnd: {
        dynamic: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
        dynamicScale: {
            '0': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '1': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '2': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '3': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '4': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '5': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '6': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '7': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '8': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '9': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '10': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '11': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '12': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '13': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '14': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '15': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '16': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '17': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '18': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '19': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '20': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
        };
        name: "marginInlineEnd";
        vars: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
    };
    readonly marginInlineStart: {
        dynamic: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
        dynamicScale: {
            '0': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '1': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '2': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '3': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '4': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '5': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '6': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '7': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '8': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '9': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '10': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '11': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '12': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '13': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '14': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '15': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '16': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '17': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '18': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '19': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '20': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
        };
        name: "marginInlineStart";
        vars: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
    };
    readonly marginLeft: {
        dynamic: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
        dynamicScale: {
            '0': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '1': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '2': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '3': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '4': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '5': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '6': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '7': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '8': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '9': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '10': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '11': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '12': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '13': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '14': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '15': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '16': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '17': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '18': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '19': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '20': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
        };
        name: "marginLeft";
        vars: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
    };
    readonly marginRight: {
        dynamic: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
        dynamicScale: {
            '0': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '1': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '2': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '3': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '4': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '5': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '6': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '7': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '8': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '9': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '10': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '11': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '12': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '13': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '14': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '15': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '16': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '17': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '18': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '19': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '20': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
        };
        name: "marginRight";
        vars: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
    };
    readonly marginTop: {
        dynamic: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
        dynamicScale: {
            '0': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '1': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '2': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '3': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '4': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '5': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '6': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '7': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '8': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '9': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '10': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '11': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '12': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '13': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '14': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '15': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '16': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '17': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '18': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '19': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '20': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
        };
        name: "marginTop";
        vars: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
    };
    readonly padding: {
        dynamic: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
        dynamicScale: {
            '0': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '1': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '2': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '3': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '4': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '5': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '6': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '7': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '8': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '9': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '10': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '11': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '12': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '13': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '14': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '15': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '16': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '17': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '18': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '19': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '20': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
        };
        name: "padding";
        vars: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
    };
    readonly paddingBlock: {
        dynamic: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
        dynamicScale: {
            '0': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '1': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '2': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '3': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '4': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '5': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '6': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '7': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '8': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '9': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '10': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '11': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '12': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '13': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '14': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '15': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '16': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '17': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '18': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '19': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '20': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
        };
        name: "paddingBlock";
        vars: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
    };
    readonly paddingBlockEnd: {
        dynamic: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
        dynamicScale: {
            '0': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '1': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '2': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '3': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '4': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '5': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '6': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '7': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '8': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '9': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '10': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '11': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '12': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '13': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '14': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '15': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '16': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '17': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '18': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '19': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '20': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
        };
        name: "paddingBlockEnd";
        vars: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
    };
    readonly paddingBlockStart: {
        dynamic: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
        dynamicScale: {
            '0': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '1': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '2': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '3': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '4': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '5': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '6': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '7': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '8': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '9': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '10': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '11': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '12': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '13': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '14': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '15': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '16': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '17': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '18': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '19': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '20': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
        };
        name: "paddingBlockStart";
        vars: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
    };
    readonly paddingBottom: {
        dynamic: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
        dynamicScale: {
            '0': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '1': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '2': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '3': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '4': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '5': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '6': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '7': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '8': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '9': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '10': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '11': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '12': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '13': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '14': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '15': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '16': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '17': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '18': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '19': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '20': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
        };
        name: "paddingBottom";
        vars: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
    };
    readonly paddingInline: {
        dynamic: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
        dynamicScale: {
            '0': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '1': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '2': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '3': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '4': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '5': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '6': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '7': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '8': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '9': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '10': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '11': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '12': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '13': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '14': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '15': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '16': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '17': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '18': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '19': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '20': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
        };
        name: "paddingInline";
        vars: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
    };
    readonly paddingInlineEnd: {
        dynamic: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
        dynamicScale: {
            '0': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '1': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '2': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '3': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '4': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '5': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '6': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '7': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '8': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '9': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '10': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '11': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '12': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '13': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '14': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '15': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '16': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '17': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '18': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '19': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '20': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
        };
        name: "paddingInlineEnd";
        vars: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
    };
    readonly paddingInlineStart: {
        dynamic: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
        dynamicScale: {
            '0': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '1': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '2': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '3': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '4': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '5': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '6': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '7': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '8': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '9': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '10': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '11': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '12': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '13': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '14': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '15': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '16': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '17': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '18': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '19': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '20': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
        };
        name: "paddingInlineStart";
        vars: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
    };
    readonly paddingLeft: {
        dynamic: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
        dynamicScale: {
            '0': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '1': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '2': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '3': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '4': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '5': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '6': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '7': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '8': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '9': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '10': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '11': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '12': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '13': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '14': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '15': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '16': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '17': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '18': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '19': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '20': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
        };
        name: "paddingLeft";
        vars: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
    };
    readonly paddingRight: {
        dynamic: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
        dynamicScale: {
            '0': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '1': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '2': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '3': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '4': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '5': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '6': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '7': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '8': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '9': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '10': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '11': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '12': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '13': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '14': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '15': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '16': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '17': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '18': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '19': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '20': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
        };
        name: "paddingRight";
        vars: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
    };
    readonly paddingTop: {
        dynamic: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
        dynamicScale: {
            '0': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '1': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '2': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '3': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '4': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '5': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '6': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '7': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '8': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '9': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '10': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '11': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '12': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '13': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '14': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '15': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '16': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '17': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '18': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '19': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            '20': `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
        };
        name: "paddingTop";
        vars: {
            default: string;
            conditions: Record<"mobile" | "tablet" | "desktop", string>;
        };
    };
} & {
    size: {
        mappings: ("height" | "width")[];
    };
    h: {
        mappings: "height"[];
    };
    w: {
        mappings: "width"[];
    };
    minH: {
        mappings: "minHeight"[];
    };
    minW: {
        mappings: "minWidth"[];
    };
    m: {
        mappings: "margin"[];
    };
    mr: {
        mappings: "marginRight"[];
    };
    ml: {
        mappings: "marginLeft"[];
    };
    mt: {
        mappings: "marginTop"[];
    };
    mb: {
        mappings: "marginBottom"[];
    };
    marginX: {
        mappings: ("marginLeft" | "marginRight")[];
    };
    marginY: {
        mappings: ("marginBottom" | "marginTop")[];
    };
    mx: {
        mappings: ("marginLeft" | "marginRight")[];
    };
    my: {
        mappings: ("marginBottom" | "marginTop")[];
    };
    p: {
        mappings: "padding"[];
    };
    pr: {
        mappings: "paddingRight"[];
    };
    pl: {
        mappings: "paddingLeft"[];
    };
    pt: {
        mappings: "paddingTop"[];
    };
    pb: {
        mappings: "paddingBottom"[];
    };
    paddingX: {
        mappings: ("paddingLeft" | "paddingRight")[];
    };
    paddingY: {
        mappings: ("paddingBottom" | "paddingTop")[];
    };
    px: {
        mappings: ("paddingLeft" | "paddingRight")[];
    };
    py: {
        mappings: ("paddingBottom" | "paddingTop")[];
    };
}> & import("rainbow-sprinkles/dist/declarations/src/types").ChildSprinkles<{
    readonly position: {
        dynamic: {
            default: string;
        };
        dynamicScale: true;
        name: "position";
        vars: {
            default: string;
        };
    };
    readonly top: {
        dynamic: {
            default: string;
        };
        dynamicScale: true;
        name: "top";
        vars: {
            default: string;
        };
    };
    readonly right: {
        dynamic: {
            default: string;
        };
        dynamicScale: true;
        name: "right";
        vars: {
            default: string;
        };
    };
    readonly bottom: {
        dynamic: {
            default: string;
        };
        dynamicScale: true;
        name: "bottom";
        vars: {
            default: string;
        };
    };
    readonly left: {
        dynamic: {
            default: string;
        };
        dynamicScale: true;
        name: "left";
        vars: {
            default: string;
        };
    };
    readonly pointerEvents: {
        dynamic: {
            default: string;
        };
        dynamicScale: true;
        name: "pointerEvents";
        vars: {
            default: string;
        };
    };
}> & import("rainbow-sprinkles/dist/declarations/src/types").ChildSprinkles<{
    readonly background: {
        dynamic: {
            default: string;
        };
        dynamicScale: true;
        name: "background";
        vars: {
            default: string;
        };
    };
    readonly backgroundAttachment: {
        dynamic: {
            default: string;
        };
        dynamicScale: true;
        name: "backgroundAttachment";
        vars: {
            default: string;
        };
    };
    readonly backgroundImage: {
        dynamic: {
            default: string;
        };
        dynamicScale: true;
        name: "backgroundImage";
        vars: {
            default: string;
        };
    };
    readonly backgroundPosition: {
        dynamic: {
            default: string;
        };
        dynamicScale: true;
        name: "backgroundPosition";
        vars: {
            default: string;
        };
    };
    readonly backgroundRepeat: {
        dynamic: {
            default: string;
        };
        dynamicScale: true;
        name: "backgroundRepeat";
        vars: {
            default: string;
        };
    };
    readonly backgroundSize: {
        dynamic: {
            default: string;
        };
        dynamicScale: true;
        name: "backgroundSize";
        vars: {
            default: string;
        };
    };
    readonly backgroundOrigin: {
        dynamic: {
            default: string;
        };
        dynamicScale: true;
        name: "backgroundOrigin";
        vars: {
            default: string;
        };
    };
    readonly backgroundClip: {
        dynamic: {
            default: string;
        };
        dynamicScale: true;
        name: "backgroundClip";
        vars: {
            default: string;
        };
    };
} & {
    bg: {
        mappings: "background"[];
    };
}> & import("rainbow-sprinkles/dist/declarations/src/types").ChildSprinkles<{
    readonly border: {
        dynamic: {
            default: string;
        };
        dynamicScale: true;
        name: "border";
        vars: {
            default: string;
        };
    };
    readonly borderStyle: {
        dynamic: {
            default: string;
        };
        dynamicScale: true;
        name: "borderStyle";
        vars: {
            default: string;
        };
    };
    readonly borderWidth: {
        dynamic: {
            default: string;
        };
        dynamicScale: true;
        name: "borderWidth";
        vars: {
            default: string;
        };
    };
    readonly borderColor: {
        dynamic: {
            default: string;
        };
        dynamicScale: {
            anchor: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            anchorVisited: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            borderDark: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            borderDarkest: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            borderLight: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            borderLighter: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            borderLightest: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            canvas: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            canvasText: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            headerBackground: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            headerNotActiveBackground: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            headerNotActiveText: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            headerText: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            material: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            materialText: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            materialTextDisabled: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            materialTextDisabledShadow: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            materialTextInvert: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            progress: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            inputBackground: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            inputBackgroundDisabled: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
        };
        name: "borderColor";
        vars: {
            default: string;
        };
    };
    readonly borderTop: {
        dynamic: {
            default: string;
        };
        dynamicScale: true;
        name: "borderTop";
        vars: {
            default: string;
        };
    };
    readonly borderTopColor: {
        dynamic: {
            default: string;
        };
        dynamicScale: {
            anchor: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            anchorVisited: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            borderDark: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            borderDarkest: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            borderLight: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            borderLighter: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            borderLightest: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            canvas: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            canvasText: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            headerBackground: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            headerNotActiveBackground: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            headerNotActiveText: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            headerText: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            material: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            materialText: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            materialTextDisabled: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            materialTextDisabledShadow: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            materialTextInvert: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            progress: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            inputBackground: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            inputBackgroundDisabled: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
        };
        name: "borderTopColor";
        vars: {
            default: string;
        };
    };
    readonly borderTopStyle: {
        dynamic: {
            default: string;
        };
        dynamicScale: true;
        name: "borderTopStyle";
        vars: {
            default: string;
        };
    };
    readonly borderTopWidth: {
        dynamic: {
            default: string;
        };
        dynamicScale: true;
        name: "borderTopWidth";
        vars: {
            default: string;
        };
    };
    readonly borderRight: {
        dynamic: {
            default: string;
        };
        dynamicScale: true;
        name: "borderRight";
        vars: {
            default: string;
        };
    };
    readonly borderRightColor: {
        dynamic: {
            default: string;
        };
        dynamicScale: {
            anchor: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            anchorVisited: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            borderDark: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            borderDarkest: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            borderLight: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            borderLighter: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            borderLightest: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            canvas: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            canvasText: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            headerBackground: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            headerNotActiveBackground: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            headerNotActiveText: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            headerText: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            material: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            materialText: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            materialTextDisabled: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            materialTextDisabledShadow: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            materialTextInvert: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            progress: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            inputBackground: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            inputBackgroundDisabled: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
        };
        name: "borderRightColor";
        vars: {
            default: string;
        };
    };
    readonly borderRightStyle: {
        dynamic: {
            default: string;
        };
        dynamicScale: true;
        name: "borderRightStyle";
        vars: {
            default: string;
        };
    };
    readonly borderRightWidth: {
        dynamic: {
            default: string;
        };
        dynamicScale: true;
        name: "borderRightWidth";
        vars: {
            default: string;
        };
    };
    readonly borderBottom: {
        dynamic: {
            default: string;
        };
        dynamicScale: true;
        name: "borderBottom";
        vars: {
            default: string;
        };
    };
    readonly borderBottomColor: {
        dynamic: {
            default: string;
        };
        dynamicScale: {
            anchor: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            anchorVisited: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            borderDark: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            borderDarkest: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            borderLight: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            borderLighter: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            borderLightest: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            canvas: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            canvasText: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            headerBackground: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            headerNotActiveBackground: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            headerNotActiveText: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            headerText: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            material: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            materialText: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            materialTextDisabled: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            materialTextDisabledShadow: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            materialTextInvert: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            progress: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            inputBackground: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            inputBackgroundDisabled: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
        };
        name: "borderBottomColor";
        vars: {
            default: string;
        };
    };
    readonly borderBottomStyle: {
        dynamic: {
            default: string;
        };
        dynamicScale: true;
        name: "borderBottomStyle";
        vars: {
            default: string;
        };
    };
    readonly borderBottomWidth: {
        dynamic: {
            default: string;
        };
        dynamicScale: true;
        name: "borderBottomWidth";
        vars: {
            default: string;
        };
    };
    readonly borderLeft: {
        dynamic: {
            default: string;
        };
        dynamicScale: true;
        name: "borderLeft";
        vars: {
            default: string;
        };
    };
    readonly borderLeftColor: {
        dynamic: {
            default: string;
        };
        dynamicScale: {
            anchor: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            anchorVisited: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            borderDark: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            borderDarkest: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            borderLight: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            borderLighter: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            borderLightest: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            canvas: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            canvasText: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            headerBackground: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            headerNotActiveBackground: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            headerNotActiveText: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            headerText: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            material: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            materialText: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            materialTextDisabled: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            materialTextDisabledShadow: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            materialTextInvert: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            progress: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            inputBackground: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            inputBackgroundDisabled: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
        };
        name: "borderLeftColor";
        vars: {
            default: string;
        };
    };
    readonly borderLeftStyle: {
        dynamic: {
            default: string;
        };
        dynamicScale: true;
        name: "borderLeftStyle";
        vars: {
            default: string;
        };
    };
    readonly borderLeftWidth: {
        dynamic: {
            default: string;
        };
        dynamicScale: true;
        name: "borderLeftWidth";
        vars: {
            default: string;
        };
    };
}> & import("rainbow-sprinkles/dist/declarations/src/types").ChildSprinkles<{
    readonly borderBottomLeftRadius: {
        dynamic: {
            default: string;
        };
        dynamicScale: true;
        name: "borderBottomLeftRadius";
        vars: {
            default: string;
        };
    };
    readonly borderBottomRightRadius: {
        dynamic: {
            default: string;
        };
        dynamicScale: true;
        name: "borderBottomRightRadius";
        vars: {
            default: string;
        };
    };
    readonly borderImage: {
        dynamic: {
            default: string;
        };
        dynamicScale: true;
        name: "borderImage";
        vars: {
            default: string;
        };
    };
    readonly borderImageOutset: {
        dynamic: {
            default: string;
        };
        dynamicScale: true;
        name: "borderImageOutset";
        vars: {
            default: string;
        };
    };
    readonly borderImageRepeat: {
        dynamic: {
            default: string;
        };
        dynamicScale: true;
        name: "borderImageRepeat";
        vars: {
            default: string;
        };
    };
    readonly borderImageSlice: {
        dynamic: {
            default: string;
        };
        dynamicScale: true;
        name: "borderImageSlice";
        vars: {
            default: string;
        };
    };
    readonly borderImageSource: {
        dynamic: {
            default: string;
        };
        dynamicScale: true;
        name: "borderImageSource";
        vars: {
            default: string;
        };
    };
    readonly borderImageWidth: {
        dynamic: {
            default: string;
        };
        dynamicScale: true;
        name: "borderImageWidth";
        vars: {
            default: string;
        };
    };
    readonly borderRadius: {
        dynamic: {
            default: string;
        };
        dynamicScale: true;
        name: "borderRadius";
        vars: {
            default: string;
        };
    };
    readonly borderTopLeftRadius: {
        dynamic: {
            default: string;
        };
        dynamicScale: true;
        name: "borderTopLeftRadius";
        vars: {
            default: string;
        };
    };
    readonly borderTopRightRadius: {
        dynamic: {
            default: string;
        };
        dynamicScale: true;
        name: "borderTopRightRadius";
        vars: {
            default: string;
        };
    };
}> & import("rainbow-sprinkles/dist/declarations/src/types").ChildSprinkles<{
    readonly outline: {
        dynamic: {
            default: string;
        };
        dynamicScale: true;
        name: "outline";
        vars: {
            default: string;
        };
    };
    readonly outlineColor: {
        dynamic: {
            default: string;
        };
        dynamicScale: true;
        name: "outlineColor";
        vars: {
            default: string;
        };
    };
    readonly outlineStyle: {
        dynamic: {
            default: string;
        };
        dynamicScale: true;
        name: "outlineStyle";
        vars: {
            default: string;
        };
    };
    readonly outlineWidth: {
        dynamic: {
            default: string;
        };
        dynamicScale: true;
        name: "outlineWidth";
        vars: {
            default: string;
        };
    };
}> & import("rainbow-sprinkles/dist/declarations/src/types").ChildSprinkles<{
    readonly font: {
        dynamic: {
            default: string;
        };
        dynamicScale: true;
        name: "font";
        vars: {
            default: string;
        };
    };
    readonly fontFamily: {
        dynamic: {
            default: string;
        };
        dynamicScale: true;
        name: "fontFamily";
        vars: {
            default: string;
        };
    };
    readonly fontStyle: {
        dynamic: {
            default: string;
        };
        dynamicScale: true;
        name: "fontStyle";
        vars: {
            default: string;
        };
    };
    readonly fontSize: {
        dynamic: {
            default: string;
        };
        dynamicScale: true;
        name: "fontSize";
        vars: {
            default: string;
        };
    };
    readonly fontWeight: {
        dynamic: {
            default: string;
        };
        dynamicScale: true;
        name: "fontWeight";
        vars: {
            default: string;
        };
    };
    readonly fontVariant: {
        dynamic: {
            default: string;
        };
        dynamicScale: true;
        name: "fontVariant";
        vars: {
            default: string;
        };
    };
    readonly fontSizeAdjust: {
        dynamic: {
            default: string;
        };
        dynamicScale: true;
        name: "fontSizeAdjust";
        vars: {
            default: string;
        };
    };
}> & import("rainbow-sprinkles/dist/declarations/src/types").ChildSprinkles<{
    readonly color: {
        dynamic: {
            default: string;
        };
        dynamicScale: {
            anchor: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            anchorVisited: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            borderDark: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            borderDarkest: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            borderLight: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            borderLighter: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            borderLightest: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            canvas: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            canvasText: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            headerBackground: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            headerNotActiveBackground: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            headerNotActiveText: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            headerText: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            material: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            materialText: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            materialTextDisabled: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            materialTextDisabledShadow: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            materialTextInvert: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            progress: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            inputBackground: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
            inputBackgroundDisabled: `var(--${string})` | `var(--${string}, ${string})` | `var(--${string}, ${number})`;
        };
        name: "color";
        vars: {
            default: string;
        };
    };
    readonly direction: {
        dynamic: {
            default: string;
        };
        dynamicScale: true;
        name: "direction";
        vars: {
            default: string;
        };
    };
    readonly letterSpacing: {
        dynamic: {
            default: string;
        };
        dynamicScale: true;
        name: "letterSpacing";
        vars: {
            default: string;
        };
    };
    readonly lineHeight: {
        dynamic: {
            default: string;
        };
        dynamicScale: true;
        name: "lineHeight";
        vars: {
            default: string;
        };
    };
    readonly textAlign: {
        dynamic: {
            default: string;
        };
        dynamicScale: true;
        name: "textAlign";
        vars: {
            default: string;
        };
    };
    readonly textDecoration: {
        dynamic: {
            default: string;
        };
        dynamicScale: true;
        name: "textDecoration";
        vars: {
            default: string;
        };
    };
    readonly textIndent: {
        dynamic: {
            default: string;
        };
        dynamicScale: true;
        name: "textIndent";
        vars: {
            default: string;
        };
    };
    readonly textShadow: {
        dynamic: {
            default: string;
        };
        dynamicScale: true;
        name: "textShadow";
        vars: {
            default: string;
        };
    };
    readonly textTransform: {
        dynamic: {
            default: string;
        };
        dynamicScale: true;
        name: "textTransform";
        vars: {
            default: string;
        };
    };
    readonly verticalAlign: {
        dynamic: {
            default: string;
        };
        dynamicScale: true;
        name: "verticalAlign";
        vars: {
            default: string;
        };
    };
    readonly whiteSpace: {
        dynamic: {
            default: string;
        };
        dynamicScale: true;
        name: "whiteSpace";
        vars: {
            default: string;
        };
    };
    readonly wordSpacing: {
        dynamic: {
            default: string;
        };
        dynamicScale: true;
        name: "wordSpacing";
        vars: {
            default: string;
        };
    };
    readonly wordBreak: {
        dynamic: {
            default: string;
        };
        dynamicScale: true;
        name: "wordBreak";
        vars: {
            default: string;
        };
    };
}> & React.RefAttributes<any>) => ReactNode;
export {};
