import React from 'react';
import type { FC, ReactElement, MouseEvent, KeyboardEvent } from 'react';
import { FrameProps } from '../Frame/Frame';
export declare const icons: {
    readonly FILE_MEDIA: React.FC<import("@react95/icons").MediaCdProps>;
    readonly FILE_TEXT: React.FC<import("@react95/icons").FileTextProps>;
    readonly FILE_UNKNOWN: React.FC<import("@react95/icons").BatProps>;
    readonly FILE_FONT: React.FC<import("@react95/icons").FileFont2Props>;
    readonly FILE_PEN: React.FC<import("@react95/icons").FilePenProps>;
    readonly FILE_SETTINGS: React.FC<import("@react95/icons").FileSettingsProps>;
    readonly FILE_TEXT_SETTINGS: React.FC<import("@react95/icons").FileTextSettingsProps>;
    readonly FILE_EXECUTABLE: React.FC<import("@react95/icons").BatExecProps>;
};
export type NodeProps = {
    label: string;
    icon?: ReactElement;
    id: number;
    children?: Array<NodeProps>;
    onClick?(event: MouseEvent | KeyboardEvent, props: NodeProps): void;
} & Omit<FrameProps<'li'>, 'id' | 'children'>;
export type NodeRootProps = Omit<NodeProps, 'children'>;
export declare const Node: FC<NodeProps>;
export declare const NodeRoot: FC<NodeRootProps>;
