import React from 'react';
import type { Ref, HTMLProps } from 'react';
import { FrameProps } from '../Frame/Frame';
export type VideoProps = {
    name?: string;
    src: string;
    videoProps?: HTMLProps<HTMLVideoElement>;
} & FrameProps<'div'>;
export type VideoRefs = {
    video: Ref<HTMLVideoElement>;
    progress: Ref<HTMLInputElement>;
    wrapper: Ref<HTMLDivElement>;
    playpause: Ref<HTMLButtonElement>;
    stop: Ref<HTMLButtonElement>;
    fullScreen: Ref<HTMLButtonElement>;
};
export declare const Video: React.ForwardRefExoticComponent<Omit<VideoProps, "ref"> & React.RefAttributes<VideoRefs>>;
